View Issue Details

IDProjectCategoryView StatusLast Update
0002161SOGoSOPEpublic2013-01-09 13:06
Reporterjobisoft Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version2.0.3a 
Target Version2.0.4Fixed in Version2.0.4 
Summary0002161: If SMTP Server send Outlook-Style ExtensionInfo "AUTH=PLAIN" after standard style "AUTH PLAIN", it is ignored - Fix included
Description

This is the ExtensionInfo from smtp.worldserver.net

250-mail01.worldserver.net
250-PIPELINING
250-SIZE 69730304
250-VRFY
250-ETRN
250-STARTTLS
250-AUTH PLAIN LOGIN CRAM-MD5
250-AUTH=PLAIN LOGIN CRAM-MD5

But SOGo fails to "see" it. Actually it does see it, but changes it back to false when analyzing AUTH=PLAIN

This can be fixed _fetchExtensionInfo in NGSmtpClient.m by changing line 55 from

else if ([line hasPrefix:@"AUTH"]) {

to

else if ([line hasPrefix:@"AUTH"] && !(self->extensions.hasAuthPlain)) {

TagsNo tags attached.

Activities

jobisoft

jobisoft

2013-01-08 07:57

reporter   ~0005092

The solution is even more simple, added a git diff

2013-01-08 07:57

 

ludovic

ludovic

2013-01-09 13:06

administrator   ~0005109

Fix pushed + added rationale: https://github.com/inverse-inc/sope/commit/888a2595a60f0e24a81b066651c26c5f14761fce

Issue History

Date Modified Username Field Change
2013-01-07 08:29 jobisoft New Issue
2013-01-08 07:57 jobisoft Note Added: 0005092
2013-01-08 07:57 jobisoft File Added: patch_2.0.3a_outlook_style_auth_plain_prevents_authentication
2013-01-08 08:40 francis Target Version => 2.0.4
2013-01-09 13:06 ludovic Note Added: 0005109
2013-01-09 13:06 ludovic Status new => closed
2013-01-09 13:06 ludovic Resolution open => fixed
2013-01-09 13:06 ludovic Fixed in Version => 2.0.4